--[C6_S_QuerySezioniSql] 4,798
CREATE PROCEDURE [dbo].[C6_S_QuerySezioniSql]
@idReport as int,
@idModello as int
AS
BEGIN
	SET NOCOUNT ON;
declare @idFkTipoCheck as int
set @idFkTipoCheck = 1
SELECT querySqlSezione, ordineQuerySqlSezione
from (
SELECT 
	[C6Sezione].[querySql] as querySqlSezione
	,isnull([C6Sezione].[ordineQuerySql],-1) as ordineQuerySqlSezione
FROM dbo.C6Sezione
	INNER JOIN dbo.C6_SezioneC6Sezione
		ON dbo.C6_SezioneC6Sezione.idFkC6Sezione = dbo.C6Sezione.id
		AND dbo.C6Sezione.querySql IS NOT NULL
	INNER JOIN dbo.Sezione
		ON dbo.C6_SezioneC6Sezione.idFkSezione = dbo.Sezione.IdSezione
		and dbo.Sezione.idFkTipoCheck = @idFkTipoCheck
	INNER JOIN dbo.ReportSezionePers
		ON dbo.ReportSezionePers.IdSezione = dbo.Sezione.IdSezione
		AND  dbo.ReportSezionePers.idReport = @idModello
UNION ALL
SELECT 
	C6SezioneDatiComuni.querySql as querySqlSezione
	,isnull(C6SezioneDatiComuni.ordineQuerySql,-1) as ordineQuerySqlSezione
from C6SezioneDatiComuni
where (idReport = @idReport or isnull(idReport,0) = 0)
	AND dbo.C6SezioneDatiComuni.querySql IS NOT NULL
) A
group by A.querySqlSezione,A.ordineQuerySqlSezione
order by A.ordineQuerySqlSezione desc
END